#ifndef SET_H
#define SET_H 

#include <vector>

#include <boost/functional/hash.hpp>

#include "tet/eval/evaldata.h"

#include "tet/containers/class.h"

namespace tet
{

namespace classification
{

namespace containers
{

class Set : public tet::classification::io::XMLSerializable
{
public:
    virtual const char * xmlName() const { return "set"; }

    const std::vector<Class> & getClasses() const { return _classes; }
    std::vector<Class> & getClasses() { return _classes; }

    size_t size() const;

    tinyxml2::XMLElement* serialize
    (tinyxml2::XMLElement* parent, tinyxml2::XMLDocument* doc);
    void deserialize(const tinyxml2::XMLElement*);

protected:

private:
    std::vector<Class> _classes;

}; // class Set

std::vector<float> getGTs(const Set & set);
std::vector<float> getScores(const Set & set);

eval::EvalData getEvalData(const Set & set);

std::size_t hash_value(const Set & set);

} // namespace containers

} // namespace classification

} // namespace tet

#endif /* SET_H */
