#include "tet/util/samplingutils.h"

namespace tet
{

namespace classification
{

namespace encodings
{

template <class _DescriptorType>
void KCEncoding::init(const _DescriptorType & descriptor, tet::classification::processing::GetSetDescriptorsBase<_DescriptorType> & descGetter)
{
    if (!_computed)
    {
        Eigen::MatrixXf samples =
            tet::classification::util::sampleDescriptorsFromSet<_DescriptorType>(_samples, 10000, descriptor, descGetter);

        setCenters(util::computeKMeans(samples, _k));
    }
}

} // namespace encodings

} // namespace classification

} // namespace tet
