#ifndef EVALDATA_H
#define EVALDATA_H 

#include <vector>

#include "tet/eval/evaldatapoint.h"

namespace tet
{

namespace classification
{

namespace eval
{

class EvalData
{
public:
    inline std::vector<EvalDataPoint>::const_iterator begin() const
    { return _datapoints.begin(); }

    inline std::vector<EvalDataPoint>::const_iterator end() const
    { return _datapoints.end(); }

    inline size_t size() const
    { return _datapoints.size(); }

    inline void addData(const EvalDataPoint & datapoint)
    { _datapoints.push_back(datapoint); }

protected:

private:
    std::vector<EvalDataPoint> _datapoints;

}; // class EvalData

} // namespace eval

} // namespace classification

} // namespace tet

#endif /* EVALDATA_H */
