#ifndef EVALMETRIC_H
#define EVALMETRIC_H 

#include "tet/io/xmlserializable.h"

#include "tet/eval/evalresult.h"
#include "tet/eval/evaldata.h"

namespace tet
{

namespace classification
{

namespace eval
{

class EvalMetric : public io::XMLSerializable
{
public:
    typedef std::shared_ptr<EvalMetric> Ptr;

    virtual void compute(const EvalData &) = 0;
    virtual EvalResult::Ptr getResult() const = 0;

    virtual void deserialize(const tinyxml2::XMLElement* root) = 0;
    virtual tinyxml2::XMLElement* serialize(tinyxml2::XMLElement* parent, tinyxml2::XMLDocument* doc) = 0;

    virtual inline const char * xmlName() const
    { return "eval"; }

protected:
    virtual std::string toStr() const = 0;

private:

}; // class EvalMetric

} // namespace eval

} // namespace classification

} // namespace tet

#endif /* EVALMETRIC_H */
