#ifndef EVALPROCESSOR_H
#define EVALPROCESSOR_H 

#include <algorithm>
#include <functional>

#include "tet/eval/evalmetric.h"

namespace tet
{

namespace classification
{

namespace eval
{

class EvalProcessor
{
public:
    inline void computeMetrics(const EvalData & data)
    {
        std::for_each(
            _metrics.begin(), _metrics.end(),
            [&](EvalMetric::Ptr p) { p->compute(data); }
        );
    }

    inline void addMetric(EvalMetric::Ptr metric)
    { _metrics.push_back(metric); }

    inline EvalMetric::Ptr get(unsigned int idx)
    { return _metrics[idx]; }

    inline size_t size() const
    { return _metrics.size(); }


protected:

private:
    std::vector<EvalMetric::Ptr> _metrics;

}; // class EvalProcessor

} // namespace eval

} // namespace classification

} // namespace tet

#endif /* EVALPROCESSOR_H */
