#ifndef MADMETRIC_H
#define MADMETRIC_H 

#include "tet/eval/scalarresult.h"

#include "tet/eval/evalmetric.h"
#include "tet/eval/evaldata.h"

namespace tet
{

namespace classification
{

namespace eval
{

class MADMetric : public EvalMetric
{
public:
    typedef ScalarResult<float> ResultType;

    MADMetric() : _computed(false), _result(-1) {}

    virtual void compute(const EvalData &);

    virtual EvalResult::Ptr getResult() const;

    inline virtual std::string toStr() const
    { return "mad"; }

    virtual void deserialize(const tinyxml2::XMLElement* root);
    virtual tinyxml2::XMLElement* serialize
    (tinyxml2::XMLElement* parent, tinyxml2::XMLDocument* doc);

private:
    bool _computed;
    ResultType _result;

}; // class MADMetric

} // namespace eval

} // namespace classification

} // namespace tet

#endif /* MADMETRIC_H */
