#ifndef MSEMETRIC_H
#define MSEMETRIC_H 

#include "tet/eval/scalarresult.h"

#include "tet/eval/evalmetric.h"
#include "tet/eval/evaldata.h"

namespace tet
{

namespace classification
{

namespace eval
{

class MSEMetric : public EvalMetric
{
public:
    typedef ScalarResult<float> ResultType;

    MSEMetric() : _computed(false), _result(-1) {}

    virtual void compute(const EvalData &);

    virtual EvalResult::Ptr getResult() const;

    inline virtual std::string toStr() const
    { return "mse"; }

    virtual void deserialize(const tinyxml2::XMLElement* root);
    virtual tinyxml2::XMLElement* serialize(tinyxml2::XMLElement* parent, tinyxml2::XMLDocument* doc);

private:
    bool _computed;
    ResultType _result;

}; // class MSEMetric

} // namespace eval

} // namespace classification

} // namespace tet

#endif /* MSEMETRIC_H */
