#ifndef XMLSERIALIZABLE_H
#define XMLSERIALIZABLE_H 

#include "tinyxml2.h"

#include "tet/util/printutils.h"

namespace tet
{

namespace classification
{

namespace io
{

class XMLSerializable
{
public:
    virtual const char * xmlName() const                       = 0;

    virtual tinyxml2::XMLElement* serialize
    (tinyxml2::XMLElement* parent, tinyxml2::XMLDocument* doc) = 0;
    virtual void deserialize(const tinyxml2::XMLElement*)      = 0;

    void deserializeFromFile(const std::string & filename)
    {
        tinyxml2::XMLDocument doc;
        if (doc.LoadFile(filename.c_str()) != tinyxml2::XML_SUCCESS)
        {
            TETLOG("Can't read file");
        }

        if (const tinyxml2::XMLElement *root = doc.FirstChildElement(xmlName()))
        {
            deserialize(root);
        }
    }
};

} // namespace io

} // namespace classification

} // namespace tet

#endif /* XMLSERIALIZABLE_H */
