#ifndef LINEARKERNEL_H
#define LINEARKERNEL_H 

#include "eigen3/Eigen/Core"

#include "tet/kernels/kernelbase.h"

namespace tet
{

namespace classification
{

namespace kernels
{

class LinearKernel : public KernelBase
{
public:
    virtual inline float operator()(Eigen::VectorXf x, Eigen::VectorXf y) const
    { return x.transpose() * y; }

    inline virtual std::string toStr() const
    { return "linear"; }

    virtual void deserialize(const tinyxml2::XMLElement* root);
    virtual tinyxml2::XMLElement* serialize(tinyxml2::XMLElement* parent, tinyxml2::XMLDocument* doc);

    virtual bool isLinear() const
    { return true; }

protected:

private:

}; // class LinearKernel

} // namespace kernels

} // namespace classification

} // namespace tet

#endif /* LINEARKERNEL_H */
