#ifndef ANNTREE_H
#define ANNTREE_H 

#include <vector>

#include "eigen3/Eigen/Core"
#include "ANN/ANN.h"

namespace tet
{

namespace classification
{

namespace util
{

template <class _Scalar>
class ANNTree
{
public:
    ANNTree(Eigen::Matrix<_Scalar, -1, -1> datapoints);

    ~ANNTree() { delete _ann_tree; }

    std::vector<size_t> findNN(Eigen::Matrix<_Scalar, -1, 1> datapoint, int n) const;
    size_t findNN(Eigen::Matrix<_Scalar, -1, 1> datapoint) const;

protected:

private:
    ANNkd_tree* _ann_tree;
}; // class ANNTree

inline Eigen::MatrixXf computeKMeans(const Eigen::MatrixXf & samples, int k);

} // namespace util

} // namespace classification

} // namespace tet

#include "impl/anntree.hpp"

#endif /* ANNTREE_H */
