#ifndef FLANNTREE_H
#define FLANNTREE_H 

#include "eigen3/Eigen/Core"
#include "flann/flann.hpp"

namespace tet
{

namespace classification
{

namespace util
{

template <class _Scalar>
class FLANNTree
{
public:
    FLANNTree(Eigen::Matrix<_Scalar, -1, -1> datapoints);

    ~FLANNTree() { delete _index; }

    std::vector<std::vector<size_t> > findNN(Eigen::Matrix<_Scalar, -1, -1> datapoints, int n) const;
    //std::vector<size_t> findNN(Eigen::Matrix<_Scalar, -1, 1> datapoint, int n) const;
    //size_t findNN(Eigen::Matrix<_Scalar, -1, 1> datapoint) const;

protected:

private:
    flann::Index<flann::L2<_Scalar> >* _index;

}; // class FLANNTree

} // namespace util

} // namespace classification

} // namespace tet

#include "impl/flanntree.hpp"

#endif /* FLANNTREE_H */
