#ifndef MD5_H
#define MD5_H 

#include <iostream>
#include <cstring>
#include <cerrno>

#include "rsa_md5.h"

namespace tet
{

namespace classification
{

namespace util
{

inline std::string computeMD5(const std::string & filename)
{
    FILE *inFile = fopen(filename.c_str(), "rb");
    MD5_CTX mdContext;
    int bytes;
    unsigned char data[1024];

    if (inFile == NULL)
    {
        std::cout << "Cannot open file for MD5 hashing. Reason:" << std::strerror(errno) << std::endl;
        return "-1";
    }

    MD5Init(&mdContext);
    while ((bytes = fread(data, 1, 1024, inFile)) != 0)
    {
        MD5Update(&mdContext, data, bytes);
    }
    MD5Final(&mdContext);
    char md5[33];
    for (int i = 0; i < 16; ++i)
    {
        sprintf(md5 + i*2, "%02x", mdContext.digest[i]);
    }

    fclose(inFile);

    return std::string(md5);
}

} // namespace util

} // namespace classification

} // namespace tet
#endif /* MD5_H */
