#ifndef STRINGUTILS_H
#define STRINGUTILS_H 

#include <string>
#include <vector>

inline std::vector<std::string> &stringSplit(const std::string &s, char delim, std::vector<std::string> &elems) {
    std::stringstream ss(s);
    std::string item;
    while (std::getline(ss, item, delim)) {
        elems.push_back(item);
    }
    return elems;
}

inline std::vector<std::string> stringSplit(const std::string &s, char delim) {
    std::vector<std::string> elems;
    stringSplit(s, delim, elems);
    return elems;
}

#endif /* STRINGUTILS_H */
