import MySQLdb

import bing_search_api
import tdwarehouse_search_api
import restoreGT

import bingToSQL
import tdwToSQL

from subprocess import Popen, PIPE

# Modify these
BING_OUTPUT_DIR = "/path/to/desired/bing/output/here/"
TDW_OUTPUT_DIR  = "/path/to/desired/3dw/output/here"
BING_API_KEY    = "bingapikeyhere"

MYSQL_USERNAME  = "mysqluserhere"
MYSQL_PASSWORD  = "mysqlpasshere"

# Leave these
CLASSES = ["airplane", "bicycle", "car", "chair", "couch", "guitar", "helicopter", "boat", "house", "laptop", "violin", "shoe", "tennis_racket", "horse", "key", "umbrella", "gun", "backpack", "mug"]

if __name__=="__main__":
    process = Popen(["mysql", "-u", MYSQL_USERNAME, "-p"], stdout=PIPE, stdin=PIPE)
    process.communicate('source tdw_schema.sql')

    for c in CLASSES:
        bing_search_api.scrape(c, BING_API_KEY, BING_OUTPUT_DIR)
        tdwarehouse_search_api.scrape(c, TDW_OUTPUT_DIR)
        bingToSQL(os.path.join(BING_OUTPUT_DIR,c))
        tdwToSQL(os.path.join(TDW_OUTPUT_DIR, c))

    restoreGT.restoreGT(MYSQL_USERNAME, MYSQL_PASSWORD)
