import MySQLdb

import sys
import re
import os
import glob

def tdwToSQL(classDir, mysqluser, mysqlpass):
    db = MySQLdb.connect(host="localhost", user=mysqluser, passwd=mysqlpass, db="tdw")
    cur = db.cursor()

    classDir = sys.argv[1]
    classItem = os.path.basename(os.path.normpath(classDir))

    classDir = os.path.join(classDir, "smontage")
    if os.path.isdir(classDir):
        cur.execute("INSERT INTO tdw_classes (name) VALUES ('{0}');".format(classItem))

        # iterate over each instance
        for instanceItem in os.listdir(classDir):
            instanceDir = os.path.join(classDir, instanceItem)
            if os.path.isdir(os.path.join(classDir, instanceItem)):
                instanceMatch = re.match("img(\d{4})_views", instanceItem)
                if instanceMatch:
                    cur.execute("INSERT INTO tdw_instances (class_id, file_id) VALUES ((SELECT id FROM tdw_classes WHERE name='{0}'), {1});".format(classItem, instanceMatch.group(1)))
                    instanceID = cur.lastrowid

                    # iterate over each view
                    for viewItem in os.listdir(instanceDir):
                        viewFile = os.path.join(instanceDir, viewItem)
                        if os.path.isfile(viewFile):
                            viewMatch = re.match("img\d{4}_view_(\d\d)\.jpg$", viewItem)
                            if viewMatch:

                                cur.execute("INSERT INTO tdw_views (instance_id, file_id, filename) VALUES ({0}, {1}, '{2}');".format(instanceID, viewMatch.group(1), os.path.abspath(viewFile)))

    db.commit()
