-- MySQL dump 10.13  Distrib 5.5.40, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: tdw
-- ------------------------------------------------------
-- Server version	5.5.40-0ubuntu0.14.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `tdw`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tdw` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `tdw`;

--
-- Table structure for table `bing_classes`
--

DROP TABLE IF EXISTS `bing_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bing_classes` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `name` char(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `bing_instances`
--

DROP TABLE IF EXISTS `bing_instances`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bing_instances` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `file_id` mediumint(9) NOT NULL,
  `class_id` mediumint(9) NOT NULL,
  `filename` varchar(250) DEFAULT NULL,
  `custom_property` float DEFAULT '0',
  `gtView` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `class_ind` (`class_id`),
  CONSTRAINT `bing_instances_ibfk_1` FOREIGN KEY (`class_id`) REFERENCES `bing_classes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4367 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tdw_classes`
--

DROP TABLE IF EXISTS `tdw_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tdw_classes` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `name` char(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tdw_instances`
--

DROP TABLE IF EXISTS `tdw_instances`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tdw_instances` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `file_id` mediumint(9) NOT NULL,
  `class_id` mediumint(9) NOT NULL,
  `gt` tinyint(1) DEFAULT NULL,
  `align_offset` tinyint(1) DEFAULT '0',
  `custom_property` float DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `class_ind` (`class_id`),
  CONSTRAINT `tdw_instances_ibfk_1` FOREIGN KEY (`class_id`) REFERENCES `tdw_classes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3318 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tdw_views`
--

DROP TABLE IF EXISTS `tdw_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tdw_views` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `file_id` mediumint(9) NOT NULL,
  `instance_id` mediumint(9) NOT NULL,
  `filename` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `instance_ind` (`instance_id`),
  CONSTRAINT `tdw_views_ibfk_1` FOREIGN KEY (`instance_id`) REFERENCES `tdw_instances` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=119413 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-09-07 12:49:00
