from lxml import etree

DEFAULT_CNN_DEPLOY = '/home/moos/software/caffe/models/bvlc_reference_caffenet/deploy.prototxt'
DEFAULT_CNN_MODEL  = '/home/moos/software/caffe/models/bvlc_reference_caffenet/bvlc_reference_caffenet.caffemodel'
DEFAULT_CNN_OUTLAYER = 'fc7'

class CNNDescriptor:
    def __init__(self):
        self.deploy = DEFAULT_CNN_DEPLOY
        self.modelFile = DEFAULT_CNN_MODEL
        self.outLayer = DEFAULT_CNN_OUTLAYER

    def toXML(self):
        root = etree.Element("descriptor")
        root.set("type", "cnn")

        deploy = etree.SubElement(root, "deploy")
        deploy.text = self.deploy
        modelFile = etree.SubElement(root, "modelFile")
        modelFile.text = self.modelFile
        outLayer = etree.SubElement(root, "outLayer")
        outLayer.text = self.outLayer

        return root
