from lxml import etree

class HOGDescriptor:
    def __init__(self):
        self.cellSize = 8
        self.bins = 9
        self.removeZeroGradient = 1
        self.includeLocation = True

    def toXML(self):
        root = etree.Element("descriptor")
        root.set("type", "hog")

        cellSize = etree.SubElement(root, "cellSize")
        cellSize.text = str(self.cellSize)
        bins = etree.SubElement(root, "bins")
        bins.text = str(self.bins)
        removeZeroGradient = etree.SubElement(root, "removeZeroGradient")
        removeZeroGradient.text = str(self.removeZeroGradient)
        includeLocation = etree.SubElement(root, "includeLocation")
        includeLocation.text = "1" if self.includeLocation else "0"

        return root
