from lxml import etree

class KCEncoding:
    def __init__(self):
        self.k = 800
        self.maxPooling = 1
        self.samples = None

    def toXML(self):
        root = etree.Element("encoding")
        root.set("type", "kc")

        k = etree.SubElement(root, "k")
        k.text = str(self.k)
        maxPooling = etree.SubElement(root, "maxPooling")
        maxPooling.text = str(self.maxPooling)

        samples = etree.SubElement(root, "samples")
        sampleSet = etree.SubElement(samples, "set")
        for sample in self.samples:
            sampleSet.append(sample.toXML())

        return root

    def init(self, run):
        self.samples = run.getClusteringSamples()
