from linearkernel import LinearKernel
from polynomialkernel import PolynomialKernel
from sigmoidkernel import SigmoidKernel
from rbfkernel import RBFKernel

class KernelFactory:
    
    ## Creates and returns kernels from string
    # @param kernelStr The string representation of the kernel
    def get(self, kernelStr):
        if kernelStr == "linear":
            return LinearKernel()
        elif kernelStr == "polynomial":
            return PolynomialKernel()
        elif kernelStr == "sigmoid":
            return SigmoidKernel()
        elif kernelStr == "rbf":
            return RBFKernel()
        else:
            return None
