from lxml import etree

class PolynomialKernel:
    def __init__(self):
        self.a = 1.0
        self.r = 1.0
        self.d = 1

    def toXML(self):
        root = etree.Element("kernel")
        root.set("type", "polynomial")

        a = etree.SubElement(root, "a")
        a.text = str(self.a)

        r = etree.SubElement(root, "r")
        r.text = str(self.r)

        d = etree.SubElement(root, "d")
        d.text = str(self.d)

        return root

    def fromSettings(self, settings):
        self.a = float(settings.a)
        self.r = float(settings.r)
        self.d = int(settings.d)
