from lxml import etree

class SigmoidKernel:
    def __init__(self):
        self.a = 1.0
        self.r = 1.0

    def toXML(self):
        root = etree.Element("kernel")
        root.set("type", "sigmoid")

        a = etree.SubElement(root, "a")
        a.text = str(self.a)

        r = etree.SubElement(root, "r")
        r.text = str(self.r)

        return root

    def fromSettings(self, settings):
        self.a = float(settings.a)
        self.r = float(settings.r)
