from lxml import etree

## Models a single instance (one to multiple views)
class TETInstance:
    def __init__(self, gt=""):
        self.gt = gt
        self.instances = []

    ## Adds list of views to instance
    #  @param views The views to be added to the instance (list)
    def addViews(self, views):
        self.views += views

    ## Converts this view to an lxml Element and returns it
    def toXMLElem(self):
        elem = etree.Element("instance")
        for view in self.views:
            elem.append(view.toXMLElem())
        return elem
