#include "tet/app/appfactory.h"

#include "tet/descriptors/hogdescriptor.h"
#include "tet/descriptors/cnndescriptor.h"

#include "tet/encodings/kcencoding.h"
#include "tet/encodings/identityencoding.h"

#define FACTORY_COMBINATION(APPTYPE, SDESC, SENC, NDESC, NENC) \
if (desc == SDESC && enc == SENC)\
{\
    return new APPTYPE<descriptors::NDESC, encodings::NENC>;\
} else 
#define FACTORY_COMBINATION_END {}

namespace tet
{

namespace classification
{

namespace app
{

AppBase * AppFactory::createApp(const std::string & app,
                                const std::string & desc,
                                const std::string & enc)
{
    if (app == "reg")
    {
        FACTORY_COMBINATION(RegressorApp, "hog", "kc", HOGDescriptor, KCEncoding)
        FACTORY_COMBINATION(RegressorApp, "cnn", "iden", CNNDescriptor, IdentityEncoding)
        FACTORY_COMBINATION_END
    } else if (app == "class")
    {
        FACTORY_COMBINATION(ClassifierApp, "hog", "kc", HOGDescriptor, KCEncoding)
        FACTORY_COMBINATION(ClassifierApp, "cnn", "iden", CNNDescriptor, IdentityEncoding)
        FACTORY_COMBINATION_END
    }

    return nullptr;
}

} // namespace app

} // namespace classification

} // namespace tet
