#include "tet/eval/evalmetricfactory.h"

#include "tet/eval/msemetric.h"
#include "tet/eval/madmetric.h"

namespace tet
{

namespace classification
{

namespace eval
{

EvalMetric::Ptr EvalMetricFactory::get(const std::string & name)
{
    if (name == "mse")
    {
        return std::make_shared<MSEMetric>();
    } else if (name == "mad") {
        return std::make_shared<MADMetric>();
    } else {
        return nullptr;
    }
}

} // namespace eval

} // namespace classification

} // namespace tet
