#include "tet/kernels/kernelfactory.h"
#include "tet/kernels/kernels.h"

namespace tet
{

namespace classification
{

namespace kernels
{

KernelBase::Ptr KernelFactory::get(const std::string & name)
{
    if (name == "linear")
    {
        return std::make_shared<LinearKernel>();
    } else if (name == "polynomial")
    {
        return std::make_shared<PolynomialKernel>();
    } else if (name == "rbf")
    {
        return std::make_shared<RBFKernel>();
    } else if (name == "sigmoid")
    {
        return std::make_shared<SigmoidKernel>();
    } else {
        return nullptr;
    }
}

} // namespace kernels

} // namespace classification

} // namespace tet
