#include "tet/kernels/polynomialkernel.h"

namespace tet
{

namespace classification
{

namespace kernels
{

void PolynomialKernel::deserialize
(const tinyxml2::XMLElement* root)
{
    if (const tinyxml2::XMLElement *aTag = root->FirstChildElement("a"))
    {
        aTag->QueryFloatText(&_a);
    }

    if (const tinyxml2::XMLElement *rTag = root->FirstChildElement("r")) 
    {
        rTag->QueryFloatText(&_r);
    }

    if (const tinyxml2::XMLElement *dTag = root->FirstChildElement("d"))
    {
        dTag->QueryIntText(&_d);
    }
}

tinyxml2::XMLElement* PolynomialKernel::serialize
(tinyxml2::XMLElement *parent, tinyxml2::XMLDocument* doc)
{
    tinyxml2::XMLElement *root = doc->NewElement("kernel");
    root->SetAttribute("type", "polynomial");
    parent->LinkEndChild(root);

    tinyxml2::XMLElement *aTag = doc->NewElement("a");
    aTag->SetText(_a);
    root->LinkEndChild(aTag);

    tinyxml2::XMLElement *rTag = doc->NewElement("r");
    rTag->SetText(_r);
    root->LinkEndChild(rTag);

    tinyxml2::XMLElement *dTag = doc->NewElement("d");
    dTag->SetText(_d);
    root->LinkEndChild(dTag);

    return root;
}

} // namespace kernels

} // namespace classification

} // namespace tet
