#include "tet/kernels/rbfkernel.h"

namespace tet
{

namespace classification
{

namespace kernels
{

void RBFKernel::deserialize
(const tinyxml2::XMLElement* root)
{
    if (const tinyxml2::XMLElement *gammaTag = root->FirstChildElement("gamma"))
    {
        gammaTag->QueryFloatText(&_gamma);
    }
}

tinyxml2::XMLElement* RBFKernel::serialize
(tinyxml2::XMLElement *parent, tinyxml2::XMLDocument* doc)
{
    tinyxml2::XMLElement *root = doc->NewElement("kernel");
    root->SetAttribute("type", "rbf");
    parent->LinkEndChild(root);

    tinyxml2::XMLElement *gammaTag = doc->NewElement("gamma");
    gammaTag->SetText(_gamma);
    root->LinkEndChild(gammaTag);

    return root;
}

} // namespace kernels

} // namespace classification

} // namespace tet
