#include "tet/kernels/sigmoidkernel.h"

namespace tet
{

namespace classification
{

namespace kernels
{

void SigmoidKernel::deserialize
(const tinyxml2::XMLElement* root)
{
    if (const tinyxml2::XMLElement *aTag = root->FirstChildElement("a"))
    {
        aTag->QueryFloatText(&_a);
    }

    if (const tinyxml2::XMLElement *rTag = root->FirstChildElement("r")) 
    {
        rTag->QueryFloatText(&_r);
    }

}

tinyxml2::XMLElement* SigmoidKernel::serialize
(tinyxml2::XMLElement *parent, tinyxml2::XMLDocument* doc)
{
    tinyxml2::XMLElement *root = doc->NewElement("kernel");
    root->SetAttribute("type", "sigmoid");
    parent->LinkEndChild(root);

    tinyxml2::XMLElement *aTag = doc->NewElement("a");
    aTag->SetText(_a);
    root->LinkEndChild(aTag);

    tinyxml2::XMLElement *rTag = doc->NewElement("r");
    rTag->SetText(_r);
    root->LinkEndChild(rTag);

    return root;
}

} // namespace kernels

} // namespace classification

} // namespace tet
