#include <iostream>
#include <string>

#include "tet/descriptors/hogdescriptor.h"
#include "tet/encodings/histencoding.h"

#include "tet/containers/view.h"
#include "tet/app/classifierapp.h"

int main(int argc, char* argv[])
{
    if (argc < 4)
    {
        std::cout << "Usage: " << argv[0] << " [settings] [imfile] [visfile]" << std::endl;
        return -1;
    }

    typedef tet::classification::descriptors::HOGDescriptor DescriptorType;
    typedef tet::classification::encodings::HistEncoding EncoderType;

    tet::classification::app::ClassifierApp<DescriptorType, EncoderType> app;
    app.readFile(argv[1]);

    tet::classification::containers::View<DescriptorType, EncoderType> view;
    view.setDescriptor(app.getDescriptor());
    view.setFilename(std::string(argv[2]));
    view.setVisFilename(std::string(argv[3]));
    view.getFeature();

}
