#include <iostream>
#include <fstream>

#include <vector>

#include "tet/descriptors/hogdescriptor.h"
#include "tet/encodings/kcencoding.h"

#include "tet/containers/set.h"
#include "tet/app/regressorapp.h"
#include "tet/app/runsettings.h"
#include "tet/app/appfactory.h"
#include "tet/app/appbase.h"

#include "tet/processing/dataprocessing.h"

#include "tet/io/eigenio.h"

#define CACHE_DIR "/home/moos/phd/proj/search/data/cache"

int main(int argc, char* argv[])
{
    if (argc < 3)
    {
        std::cout << "Usage: " << argv[0] << " [imfile] [outfile]" << std::endl;
        return -1;
    }

    typedef tet::classification::descriptors::HOGDescriptor DescriptorType;

    tet::classification::processing::GetViewDescriptorCached<DescriptorType> getViewDescriptors(CACHE_DIR);

    tet::classification::containers::View view;
    view.setFilename(std::string(argv[1]));

    DescriptorType desc;
    desc.setRemoveZeroGradient(false);

    std::cout << "Writing descriptor..." << std::endl;
    DescriptorType::FeatureType descriptors = getViewDescriptors(view, desc);

    std::ofstream outFile;
    outFile.open(argv[2]);
    outFile << descriptors;

    outFile.close();

}
