#include "tet/app/classifierapp.h"

#include "tet/descriptors/hogdescriptor.h"
#include "tet/encodings/histencoding.h"
#include "tet/encodings/kcencoding.h"

#include "tet/util/samplingutils.h"

int main(int argc, char* argv[])
{
    if (argc < 3)
    {
        std::cout << "Usage: " << argv[0] << " [settingsfile] [outfile]" << std::endl;
        return -1;
    }

    typedef tet::classification::descriptors::HOGDescriptor DescriptorType;
    typedef tet::classification::encodings::KCEncoding EncoderType;

    tet::classification::app::ClassifierApp<DescriptorType, EncoderType> app;
    app.readFile(argv[1]);

    typename EncoderType::InitStruct init;
    init.samples = tet::classification::util::sampleDescriptorsFromSet<DescriptorType, EncoderType>(app.getNegatives(), 10000);
    app.getEncoding()->init(init);

    app.writeFile(argv[2]);
    std::cout << "File written to " << argv[2] << "." << std::endl;

}
